Index: extensions/upload_form/index.php
===================================================================
--- extensions/upload_form/index.php	(revision 4739)
+++ extensions/upload_form/index.php	(revision 4740)
@@ -1,28 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
-// +-----------------------------------------------------------------------+
-// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
-// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
-// | last modifier : $Author: rub $
-// | revision      : $Revision: 1912 $
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
 // Recursive call
 $url = '../';
Index: extensions/upload_form/language/en_UK/plugin.lang.php
===================================================================
--- extensions/upload_form/language/en_UK/plugin.lang.php	(revision 4740)
+++ extensions/upload_form/language/en_UK/plugin.lang.php	(revision 4740)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010      Pierrick LE GALL             http://piwigo.org |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Upload Form'] = 'Upload Form';
+$lang['Upload Photos'] = 'Upload Photos';
+$lang['Drop into category'] = 'Drop into category';
+$lang['+ Add an upload box'] = '+ Add an upload box';
+$lang['Upload'] = 'Upload';
+?>
Index: extensions/upload_form/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/upload_form/language/fr_FR/plugin.lang.php	(revision 4740)
+++ extensions/upload_form/language/fr_FR/plugin.lang.php	(revision 4740)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2010      Pierrick LE GALL             http://piwigo.org |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Upload Form'] = 'Formulaire de transfert';
+$lang['Upload Photos'] = 'Ajoutez vos photos';
+$lang['Drop into category'] = 'Choisir une catégorie';
+$lang['+ Add an upload box'] = '+ Ajouter une autre boîte de transfert';
+$lang['Upload'] = 'Transférer';
+?>
Index: extensions/upload_form/upload.php
===================================================================
--- extensions/upload_form/upload.php	(revision 4739)
+++ extensions/upload_form/upload.php	(revision 4740)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2009      Pierrick LE GALL             http://piwigo.org |
+// | Copyright(C) 2010      Pierrick LE GALL             http://piwigo.org |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -27,5 +27,5 @@
 include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
 include_once(UPLOAD_FORM_PATH.'include/functions_upload.inc.php');
-// load_language('plugin.lang', COMMUNITY_PATH);
+load_language('plugin.lang', UPLOAD_FORM_PATH);
 
 $admin_base_url = get_root_url().'admin.php?page=plugin&section=upload_form%2Fupload.php';
Index: extensions/upload_form/upload.tpl
===================================================================
--- extensions/upload_form/upload.tpl	(revision 4739)
+++ extensions/upload_form/upload.tpl	(revision 4740)
@@ -36,5 +36,5 @@
           </div>
           <div id="addUploadBox">
-            <a href="javascript: UpdateUploadSlots()">+ Add an upload box</a>
+            <a href="javascript: UpdateUploadSlots()">{'+ Add an upload box'|@translate}</a>
           </div>
         </td>