Index: /branches/2.0/include/common.inc.php
===================================================================
--- /branches/2.0/include/common.inc.php	(revision 4757)
+++ /branches/2.0/include/common.inc.php	(revision 4758)
@@ -139,4 +139,10 @@
   define('PHPWG_DOMAIN', 'es.piwigo.org');
 }
+else if ('pl_PL' == $user['language']) {
+  define('PHPWG_DOMAIN', 'pl.piwigo.org');
+}
+else if ('zh_CN' == $user['language']) {
+  define('PHPWG_DOMAIN', 'cn.piwigo.org');
+}
 else {
   define('PHPWG_DOMAIN', 'piwigo.org');
Index: /branches/2.0/install.php
===================================================================
--- /branches/2.0/install.php	(revision 4757)
+++ /branches/2.0/install.php	(revision 4758)
@@ -218,4 +218,10 @@
   define('PHPWG_DOMAIN', 'es.piwigo.org');
 }
+else if ('pl_PL' == $language) {
+  define('PHPWG_DOMAIN', 'pl.piwigo.org');
+}
+else if ('zh_CN' == $language) {
+  define('PHPWG_DOMAIN', 'cn.piwigo.org');
+}
 else {
   define('PHPWG_DOMAIN', 'piwigo.org');
Index: /branches/2.0/language/de_DE/help.html
===================================================================
--- /branches/2.0/language/de_DE/help.html	(revision 4757)
+++ /branches/2.0/language/de_DE/help.html	(revision 4758)
@@ -15,5 +15,5 @@
     style="display:none"
   >
-<p><a href="http://piwigo.org/ext/extension_view.php?eid=270">pLoader for Windows</a> oder <a href="http://piwigo.org/ext/extension_view.php?eid=269">pLoader for Linux</a> : Erklärung, Download and Details über neue Revisionen.</p>
+<p><a href="http://de.piwigo.org/ext/extension_view.php?eid=270">pLoader for Windows</a> oder <a href="http://de.piwigo.org/ext/extension_view.php?eid=269">pLoader for Linux</a> : Erklärung, Download and Details über neue Revisionen.</p>
     <ol>
       <li>Erstelle in deiner Piwigo Installation im Ordner "galleries" einen Ordner "upload" mit Schreibzugriff.</li>
Index: /branches/2.0/language/es_ES/help.html
===================================================================
--- /branches/2.0/language/es_ES/help.html	(revision 4757)
+++ /branches/2.0/language/es_ES/help.html	(revision 4758)
@@ -15,5 +15,5 @@
     style="display:none"
   >
-    <p><a href="http://piwigo.org/ext/extension_view.php?eid=270">pLoader para Windows</a> o <a href="http://piwigo.org/ext/extension_view.php?eid=269">pLoader para Linux</a> : descripción, cargamiento y detalles de nuevas revisiones.</p>
+    <p><a href="http://es.piwigo.org/ext/extension_view.php?eid=270">pLoader para Windows</a> o <a href="http://es.piwigo.org/ext/extension_view.php?eid=269">pLoader para Linux</a> : descripción, cargamiento y detalles de nuevas revisiones.</p>
     <ol>
       <li>Cree un repertorio " upload " al lado del repertorio " galleries " sobre su instalación de Piwigo, con un acceso en escritura.</li>
Index: /branches/2.0/language/it_IT/help.html
===================================================================
--- /branches/2.0/language/it_IT/help.html	(revision 4757)
+++ /branches/2.0/language/it_IT/help.html	(revision 4758)
@@ -15,5 +15,5 @@
     style="display:none"
   >
-    <p><a href="http://piwigo.org/ext/extension_view.php?eid=270&lang=it">pLoader per Windows</a> o <a href="http://piwigo.org/ext/extension_view.php?eid=269&lang=it">pLoader per Linux</a> : descrizione, download e i dettagli delle nuove versioni.</p>
+    <p><a href="http://it.piwigo.org/ext/extension_view.php?eid=270&lang=it">pLoader per Windows</a> o <a href="http://it.piwigo.org/ext/extension_view.php?eid=269&lang=it">pLoader per Linux</a> : descrizione, download e i dettagli delle nuove versioni.</p>
     <ol>
 	  <li>Create una directory "upload" a fianco della directory "galleries" della vostra installazione di Piwigo, con dei diritti di scrittura.</li>
Index: /branches/2.0/language/pl_PL/help.html
===================================================================
--- /branches/2.0/language/pl_PL/help.html	(revision 4757)
+++ /branches/2.0/language/pl_PL/help.html	(revision 4758)
@@ -15,5 +15,5 @@
     style="display:none"
   >
-			<p><a href="http://piwigo.org/ext/extension_view.php?eid=270">pLoader dla Windows</a> or <a href="http://piwigo.org/ext/extension_view.php?eid=269">pLoader dla Linux</a> : opis, pobieranie oraz szczegóły o nowych wersjach.</p>
+			<p><a href="http://pl.piwigo.org/ext/extension_view.php?eid=270">pLoader dla Windows</a> or <a href="http://pl.piwigo.org/ext/extension_view.php?eid=269">pLoader dla Linux</a> : opis, pobieranie oraz szczegóły o nowych wersjach.</p>
     <ol>
       <li>W miejscu gdzie zainstalowałeś Piwigo, utwórz katalog "upload" obok katalogu "galleries", z włączonymi prawami do zapisu.</li>
Index: /branches/2.0/language/zh_CN/about.html
===================================================================
--- /branches/2.0/language/zh_CN/about.html	(revision 4757)
+++ /branches/2.0/language/zh_CN/about.html	(revision 4758)
@@ -4,3 +4,3 @@
 
   <li>如果你有好的建议和想法, 请访问<a
-  href="http://fr.piwigo.org">官方网站</a>和<a href="http://fr.piwigo.org/forum">论坛</a>。</li>
+  href="http://cn.piwigo.org">官方网站</a>和<a href="http://cn.piwigo.org/forum">论坛</a>。</li>
Index: /branches/2.0/language/zh_CN/help.html
===================================================================
--- /branches/2.0/language/zh_CN/help.html	(revision 4757)
+++ /branches/2.0/language/zh_CN/help.html	(revision 4758)
@@ -15,5 +15,5 @@
     style="display:none"
   >
-    <p><a href="http://piwigo.org/ext/extension_view.php?eid=270">pLoader Windows版本</a> or <a href="http://piwigo.org/ext/extension_view.php?eid=269">pLoader Linux版本</a> : 相关的说明，下载与最新版本的详细信息。</p>
+    <p><a href="http://cn.piwigo.org/ext/extension_view.php?eid=270">pLoader Windows版本</a> or <a href="http://cn.piwigo.org/ext/extension_view.php?eid=269">pLoader Linux版本</a> : 相关的说明，下载与最新版本的详细信息。</p>
     <ol>
       <li>  在你的　Piwigo　文件夹下创建一个 &quot;upload&quot; 文件夹，与 &quot;galleries&quot; 文件夹同级,并且需要有读写权限。</li>
@@ -278,5 +278,5 @@
 
   <li>如果你有其他问题，Piwigo 社区将欢迎你到 <a
-  href="http://piwigo.org/forum"> 它的论坛</a>。</li>
+  href="http://cn.piwigo.org/forum"> 它的论坛</a>。</li>
 
 </ul>
Index: /branches/2.0/upgrade.php
===================================================================
--- /branches/2.0/upgrade.php	(revision 4757)
+++ /branches/2.0/upgrade.php	(revision 4758)
@@ -173,4 +173,10 @@
 else if ('es_ES' == $language) {
   define('PHPWG_DOMAIN', 'es.piwigo.org');
+}
+else if ('pl_PL' == $language) {
+  define('PHPWG_DOMAIN', 'pl.piwigo.org');
+}
+else if ('zh_CN' == $language) {
+  define('PHPWG_DOMAIN', 'cn.piwigo.org');
 }
 else {