Index: extensions/Simple_Grey/about.tpl
===================================================================
--- extensions/Simple_Grey/about.tpl	(revision 4761)
+++ extensions/Simple_Grey/about.tpl	(revision 4762)
@@ -1,3 +1,3 @@
-<div id="titrePage">
+<div class="titrePage">
   <ul class="categoryActions">
     <li><a href="{$U_HOME}" title="{'return to homepage'|@translate}">{'home'|@translate}</a></li>
Index: extensions/Simple_Grey/comments.tpl
===================================================================
--- extensions/Simple_Grey/comments.tpl	(revision 4761)
+++ extensions/Simple_Grey/comments.tpl	(revision 4762)
@@ -1,3 +1,3 @@
-<div id="titrePage">
+<div class="titrePage">
   <ul class="categoryActions">
     <li><a class="button" href="{$U_HOME}" title="{'return to homepage'|@translate}">{'home'|@translate}</a></li>
Index: extensions/Simple_Grey/content.css
===================================================================
--- extensions/Simple_Grey/content.css	(revision 4761)
+++ extensions/Simple_Grey/content.css	(revision 4762)
@@ -50,9 +50,9 @@
 }
 
-#titrePage {
+.titrePage {
   margin: 1em 0;
 }
 
-#titrePage h2 {
+.titrePage h2 {
   margin: 1em 0;
   padding: 0;
@@ -60,10 +60,10 @@
 }
 
-#titrePage img {
+.titrePage img {
   float: left;
   margin-top: -5px;
 }
 
-#titrePage .categoryActions {
+.titrePage .categoryActions {
   float: right;
   margin: 0;
@@ -317,5 +317,5 @@
 /* slideshow */
 
-#slideshow #titrePage {
+#slideshow .titrePage {
     width: 55%;
     text-align: center;
Index: extensions/Simple_Grey/identification.tpl
===================================================================
--- extensions/Simple_Grey/identification.tpl	(revision 4761)
+++ extensions/Simple_Grey/identification.tpl	(revision 4762)
@@ -1,3 +1,3 @@
-<div id="titrePage">
+<div class="titrePage">
   <ul class="categoryActions">
     <li><a href="{$U_LOST_PASSWORD}" title="{'Forgot your password?'|@translate}">{'Forgot your password?'|@translate}</a> «</li>
Index: extensions/Simple_Grey/index.tpl
===================================================================
--- extensions/Simple_Grey/index.tpl	(revision 4761)
+++ extensions/Simple_Grey/index.tpl	(revision 4762)
@@ -1,4 +1,4 @@
 {if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
-<div id="titrePage">
+<div class="titrePage">
   <a href="{$U_HOME}" rel="home"><img src="{$ROOT_URL}template/{$themeconf.template}/icon/home.png" title="{'home'|@translate}" alt="{'home'|@translate}" /></a> » 
   <span id="menuswitcher" title="Afficher/cacher le menu">Menu</span> »
Index: extensions/Simple_Grey/nbm.tpl
===================================================================
--- extensions/Simple_Grey/nbm.tpl	(revision 4761)
+++ extensions/Simple_Grey/nbm.tpl	(revision 4762)
@@ -1,3 +1,3 @@
-<div id="titrePage">
+<div class="titrePage">
   <ul class="categoryActions">
     <li><a href="{$U_HOME}" title="{'Go through the gallery as a visitor'|@translate}">{'home'|@translate}</a></li>
Index: extensions/Simple_Grey/notification.tpl
===================================================================
--- extensions/Simple_Grey/notification.tpl	(revision 4761)
+++ extensions/Simple_Grey/notification.tpl	(revision 4762)
@@ -1,3 +1,3 @@
-<div id="titrePage">
+<div class="titrePage">
   <ul class="categoryActions">
     <li><a href="{$U_HOME}" title="{'return to homepage'|@translate}">{'home'|@translate}</a></li>
Index: extensions/Simple_Grey/password.tpl
===================================================================
--- extensions/Simple_Grey/password.tpl	(revision 4761)
+++ extensions/Simple_Grey/password.tpl	(revision 4762)
@@ -1,3 +1,3 @@
-<div id="titrePage">
+<div class="titrePage">
   <ul class="categoryActions">
     <li><a class="button" href="{$U_HOME}" title="{'Go through the gallery as a visitor'|@translate}">{'home'|@translate}</a></li>
Index: extensions/Simple_Grey/picture.tpl
===================================================================
--- extensions/Simple_Grey/picture.tpl	(revision 4761)
+++ extensions/Simple_Grey/picture.tpl	(revision 4762)
@@ -1,3 +1,3 @@
-<div id="titrePage">
+<div class="titrePage">
   <div class="imageNumber">{$PHOTO}</div>
   <a href="{$U_HOME}" rel="home">{'home'|@translate}</a>
Index: extensions/Simple_Grey/profile.tpl
===================================================================
--- extensions/Simple_Grey/profile.tpl	(revision 4761)
+++ extensions/Simple_Grey/profile.tpl	(revision 4762)
@@ -1,3 +1,3 @@
-<div id="titrePage">
+<div class="titrePage">
   <ul class="categoryActions">
     <li><a href="{$U_HOME}" title="{'return to homepage'|@translate}">{'home'|@translate}</a></li>
Index: extensions/Simple_Grey/register.tpl
===================================================================
--- extensions/Simple_Grey/register.tpl	(revision 4761)
+++ extensions/Simple_Grey/register.tpl	(revision 4762)
@@ -1,3 +1,3 @@
-<div id="titrePage">
+<div class="titrePage">
   <ul class="categoryActions">
     <li><a href="{$U_HOME}" title="{'return to homepage'|@translate}">{'home'|@translate}</a></li>
Index: extensions/Simple_Grey/search.tpl
===================================================================
--- extensions/Simple_Grey/search.tpl	(revision 4761)
+++ extensions/Simple_Grey/search.tpl	(revision 4762)
@@ -1,3 +1,3 @@
-<div id="titrePage">
+<div class="titrePage">
   <ul class="categoryActions">
     <li><a href="{$U_HOME}" title="{'return to homepage'|@translate}" rel="home">{'home'|@translate}</a></li>
Index: extensions/Simple_Grey/slideshow.tpl
===================================================================
--- extensions/Simple_Grey/slideshow.tpl	(revision 4761)
+++ extensions/Simple_Grey/slideshow.tpl	(revision 4762)
@@ -6,5 +6,5 @@
 </div>
 <div id="slideshow">
-  <div id="titrePage">
+  <div class="titrePage">
     {include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}
     <div class="imageNumber">{$PHOTO}</div>
Index: extensions/Simple_Grey/tags.tpl
===================================================================
--- extensions/Simple_Grey/tags.tpl	(revision 4761)
+++ extensions/Simple_Grey/tags.tpl	(revision 4762)
@@ -1,3 +1,3 @@
-<div id="titrePage">
+<div class="titrePage">
   <ul class="categoryActions">
   {if $display_mode == 'letters'}
Index: extensions/Simple_Grey/theme/grey/theme.css
===================================================================
--- extensions/Simple_Grey/theme/grey/theme.css	(revision 4761)
+++ extensions/Simple_Grey/theme/grey/theme.css	(revision 4762)
@@ -22,5 +22,5 @@
 }
 
-#titrePage, #titrePage a {
+.titrePage, .titrePage a {
   font-weight: bold;
   text-transform: uppercase;
Index: extensions/Simple_Grey/upload.tpl
===================================================================
--- extensions/Simple_Grey/upload.tpl	(revision 4761)
+++ extensions/Simple_Grey/upload.tpl	(revision 4762)
@@ -1,3 +1,3 @@
-<div id="titrePage">
+<div class="titrePage">
   <ul class="categoryActions">
     <li><a href="{$U_HOME}" title="{'return to homepage'|@translate}">{'home'|@translate}</a></li>