Index: /extensions/netinstall/trunk/language/de_DE/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/de_DE/loader.lang.txt	(revision 4787)
+++ /extensions/netinstall/trunk/language/de_DE/loader.lang.txt	(revision 4788)
@@ -22,40 +22,40 @@
 
 $lang['Piwigo NetInstall'] = 'Piwigo NetInstall';
-$lang['Welcome to NetInstall!'] = 'Willkommen in NetInstall!';
+$lang['Welcome to NetInstall!'] = 'Willkommen bei NetInstall!';
 $lang['Language'] = 'Sprache';
-$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Dieses Werkzeug ist zum Abrufen der neuesten Piwigo Archiv und entpacken es in Ihrem Webspace.';
-$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Direkt nach, werden Sie eine Umleitung auf die Piwigo Setup-Assistenten.';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Dieses Tool ruft das neuestee Piwigo-Archiv ab und entpacken es auf Ihrem Webspace.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Direkt danach, werden Sie direkt zum Piwigo Setupassistent weitergeleitet.';
 
-$lang['Write access is needed'] = 'Schreib-Zugriff ist erforderlich';
-$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'Es sieht aus wie NetInstall wird nicht in der Lage zu schreiben in das aktuelle Verzeichnis, und dies ist erforderlich, um im Anschluss an.';
-$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Bitte versuchen Sie es um die Berechtigungen zu ermöglichen schreiben, dann rufen Sie diese Seite durch Drücken der Schaltfläche "Aktualisieren".';
+$lang['Write access is needed'] = 'Schreibzugriff ist erforderlich';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'So wie es aussieht ist NetInstall nicht in der Lage in das ausgewählte Verzeichniss zu schreiben, und dies ist erforderlich um fortzusetzen.';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Bitte versuchen Sie Schreibrechte zu ermöglichen und setzen Sie einfach fort, indem Sie den "Aktualisieren" Button in ihrem Browser klicken.';
 $lang['Refresh'] = 'Aktualisieren';
 
 $lang['PHP 5 is required'] = 'PHP 5 ist erforderlich';
-$lang['It appears your webhost is currently running PHP %s.'] = 'Es scheint Ihr Webhost ist derzeit laufenden PHP %s.';
-$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall wird versuchen um Ihre Konfiguration zu PHP 5 Schalten durch die Schaffung oder Änderung einer .Htaccess-Datei.';
-$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Hinweis: Sie können Ihre Konfiguration indem manuel Schalten und starten Sie wieder dass NetInstall.';
-$lang['Try to configure PHP 5'] = 'Versuch zu konfigurieren PHP 5';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Es sieht so au, als läuft auf ihrem Host die Version PHP %s.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall wird versuchen Ihre Konfiguration auf PHP 5 zu wechseln durch die Erstellung oder Änderung der .Htaccess-Datei.';
+$lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Hinweis: Sie können Ihre Konfiguration manuell ändern und danach das Netinstall-Script neu aufrufen.';
+$lang['Try to configure PHP 5'] = 'Versuche PHP 5 zu konfigurieren';
 
-$lang['Retrieve and unzip Piwigo'] = 'Abrufen und entpacken Piwigo';
-$lang['Destination:'] = 'Reiseziel:';
+$lang['Retrieve and unzip Piwigo'] = 'Abrufen und entpacken der Piwigo';
+$lang['Destination:'] = 'Zielordner:';
 
-$lang['Sorry!'] = 'Bekümmert!';
-$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall kan nicht PHP 5 zu konfigurieren.';
-$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Sie können sich beziehen auf Ihrem Hosting-Anbieter die Unterstützung und sehen wie Sie könnte Umstellung auf PHP 5 von Ihnen.";
-$lang['Hope to see you back soon.'] = 'Hoffen, Sie bald wieder zurück.';
+$lang['Sorry!'] = 'Entschuldigung!';
+$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall ist nicht in der Lage PHP 5 zu konfigurieren.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Bitte kontaktieren Sie den Support ihres Providers und bitten Sie ihn um Unterstützung für eine Umstellung auf PHP 5.";
+$lang['Hope to see you back soon.'] = 'Wir hoffen, Sie sind bald wieder zurück.';
 
-$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Es scheint wie eine frühere Piwigo Installation ist noch Sitzung in diesem Raum.';
-$lang['You need to rename or remove it before we can go further...'] = 'Sie müssen umbenennen oder entfernen es bevor wir können noch weiter gehen ...';
-$lang['Needed files are not present.'] = 'Benötigten Dateien nicht vorhanden sind.';
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Es scheint in dem Ordner befindet sich eine frühere Version der Piwigo.';
+$lang['You need to rename or remove it before we can go further...'] = 'Sie müssen ihn umbenennen oder entfernen es bevor wir fortsetzen können ...';
+$lang['Needed files are not present.'] = 'Benötigten Dateien sind nicht vorhanden.';
 $lang['Invalid zip file.'] = 'Ungültige zip-Datei.';
-$lang['It seems that the zip file was not extracted.'] = 'Es scheint dass die Zip-Datei wurde nicht extrahiert.';
+$lang['It seems that the zip file was not extracted.'] = 'Es scheint, die Zip-Datei wurde nicht extrahiert.';
 
-$lang['Congratulations!'] = 'Glückwünsche!';
-$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Alles ging gut. Sie sind bereit die Installation starten.';
-$lang['Install Piwigo now'] = 'Jetzt Piwigo installieren';
-$lang['An error occurred while grabbing the necessary files to go on.'] = 'Ein Fehler ist aufgetreten beim Greifen die erforderlichen Dateien zu weiter gehen.';
-$lang['Something went wrong...'] = 'Etwas schief gelaufen ist ...';
-$lang['What are you doing here that way ?!'] = 'Was machst Du denn hier so ?!';
+$lang['Congratulations!'] = 'Herzlichen Glückwunsch!';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Alles ging gut. Sie sind jetzt bereit die Installation starten.';
+$lang['Install Piwigo now'] = 'Jetzt die Piwigo installieren';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'Ein Fehler ist aufgetreten beim aufgreifen der zum fortsetzen erforderlichen Dateien.';
+$lang['Something went wrong...'] = 'Irgendetwas ist schief gelaufen ...';
+$lang['What are you doing here that way ?!'] = 'Was machen Sie denn hier ?!';
 
-$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Diese Loader wurde erstmal kodiert für <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Danke!';
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Diese Loader wurde zum ersten mal kodiert für <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Danke!';