Index: /branches/2.0/language/vi_VN/README.txt
===================================================================
--- /branches/2.0/language/vi_VN/README.txt	(revision 4797)
+++ /branches/2.0/language/vi_VN/README.txt	(revision 4797)
@@ -0,0 +1,6 @@
+Piwigo Vietnamese language files
+author: Tien Ho Quang
+website: http://www.quangtien.net
+e-mail: 
+
+update : 28/01/2010
Index: /branches/2.0/language/vi_VN/about.html
===================================================================
--- /branches/2.0/language/vi_VN/about.html	(revision 4797)
+++ /branches/2.0/language/vi_VN/about.html	(revision 4797)
@@ -0,0 +1,10 @@
+  <li>Piwigo là một ứng dụng web đem đến cho bạn khả năng thiết lập một gallery ảnh trực tuyến một cách dễ dàng.</li>
+
+  <li>Về mặt kỹ thuật, Piwigo hoàn toàn được phát triển bằng ngông ngữ lập trình PHP với cơ sở dữ liệu MySQL.</li>
+
+  <li>Nếu bạn có ý kiến đóng góp cho phần mềm Piwigo, vui lòng ghé vào web site chính thức của <a
+  href="http://piwigo.org">Piwigo</a> và <a href="http://forum.Piwigo.net">diễn đàn</a> dành riêng cho Piwigo.</li>
+  
+    <li>Việt hoá bởi <a
+  href="http://www.quangtien.net">TienHQ</a>.</li>
+
Index: /branches/2.0/language/vi_VN/common.lang.php
===================================================================
--- /branches/2.0/language/vi_VN/common.lang.php	(revision 4797)
+++ /branches/2.0/language/vi_VN/common.lang.php	(revision 4797)
@@ -0,0 +1,372 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Langage informations
+$lang_info['language_name'] = 'Vietnamese';
+$lang_info['country'] = 'Việt Nam';
+$lang_info['direction'] = 'ltr';
+$lang_info['code'] = 'vn';
+$lang_info['zero_plural'] = true;
+
+$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (rated %d times, standard deviation = %.2f)';
+$lang['%d Kb'] = '%d Kb';
+$lang['%d category updated'] = '%d đề mục đã được cập nhật';
+$lang['%d categories updated'] = '%d đề mục đã được cập nhật';
+$lang['%d comment to validate'] = '%d lời bình cần xác nhận';
+$lang['%d comments to validate'] = '%d lời bình cần xác nhận';
+$lang['%d new comment'] = '%d lời bình mới';
+$lang['%d new comments'] = '%d lời bình mới';
+$lang['%d comment'] = '%d lời bình';
+$lang['%d comments'] = '%d lời bình';
+$lang['%d hit'] = '%d lần xem';
+$lang['%d hits'] = '%d lần xem';
+$lang['%d new element'] = '%d hình mới';
+$lang['%d new elements'] = '%d hình mới';
+$lang['%d new user'] = '%d thành viên mới';
+$lang['%d new users'] = '%d thành viên mới';
+$lang['%d waiting element'] = '%d chi tiết hình đang chờ';
+$lang['%d waiting elements'] = '%d chi tiết hình đang chờ';
+$lang['About'] = 'Thông tin về Piwgo';
+$lang['All tags must match'] = 'Tất cả các tag phải trùng nhau';
+$lang['All tags'] = 'Tất cả các tags';
+$lang['Any tag'] = 'Tất cả các tag';
+$lang['At least one listed rule must be satisfied.'] = 'Ít nhất một điều khoản nêu trên phải được đáp ứng.';
+$lang['At least one tag must match'] = 'Ít nhất phải có một tag trùng nhau';
+$lang['Author'] = 'Tác giả';
+$lang['Average rate'] = 'Xếp hạng trung bình';
+$lang['Categories'] = 'Đề mục';
+$lang['Category'] = 'Đề mục';
+$lang['Close this window'] = 'Đóng';
+$lang['Complete RSS feed'] = 'Bản RSS feed đầy đủ (gồm hình ảnh và lời bình)';
+$lang['Confirm Password'] = 'Xác nhận lại mật khẩu';
+$lang['Connection settings'] = 'Thiết lập cài đặt';
+$lang['Connection'] = 'Đăng nhập';
+$lang['Contact webmaster'] = 'Liên hệ với Quản trị';
+$lang['Create a new account'] = 'Tạo tài khoản mới';
+$lang['Created on'] = 'Khởi tạo vào';
+$lang['Creation date'] = 'Ngày khởi tạo';
+$lang['Current password is wrong'] = 'Mật khởi hiện tại bị sai';
+$lang['Dimensions'] = 'Độ phân giải';
+$lang['Display'] = 'Hiển thị';
+$lang['Each listed rule must be satisfied.'] = 'Mỗi điều khoản nêu trên phải được đáp ứng.';
+$lang['Email address is missing'] = 'Địa chỉ email bị thiếu';
+$lang['Email address'] = 'Địa chỉ email';
+$lang['Enter your personnal informations'] = 'Nhập thông tin của bạn';
+$lang['Error sending email'] = 'Lỗi gởi email';
+$lang['File name'] = 'Tên file';
+$lang['File'] = 'File';
+$lang['Filesize'] = 'Kích thước file';
+$lang['Filter and display'] = 'Lọc và hiển thị ảnh';
+$lang['Filter'] = 'Lọc';
+$lang['Forgot your password?'] = 'Bạn quên mật khẩu?';
+$lang['Go through the gallery as a visitor'] = 'Xem gallery như một khách thăm quan';
+$lang['Help'] = 'Trợ giúp';
+$lang['Identification'] = 'Định danh';
+$lang['Image only RSS feed'] = 'Chỉ hiện hình ảnh trên RSS feed';
+$lang['Keyword'] = 'Từ khoá';
+$lang['Links'] = 'Liên kết';
+$lang['Mail address'] = 'Địa chỉ mail';
+$lang['N/A'] = 'Không có';
+$lang['New on %s'] = 'hình mới ở %s';
+$lang['New password confirmation does not correspond'] = 'Xác nhận mật khẩu mới không được phản hồi';
+$lang['New password sent by email'] = 'Mật khẩu mới đã được gởi qua email của bạn';
+$lang['No email address'] = 'Không có địa chỉ email';
+$lang['No user matches this email address'] = 'Không có thành viên nào có địa chỉ email trùng với email này.';
+$lang['Notification'] = 'Thông báo';
+$lang['Number of items'] = 'Số lượng hình';
+$lang['Original dimensions'] = 'Độ phân giải gốc';
+$lang['Password forgotten'] = 'Quên mật khẩu';
+$lang['Password'] = 'Mật khẩu';
+$lang['Post date'] = 'Ngày gởi hình';
+$lang['Posted on'] = 'Gởi vào';
+$lang['Profile'] = 'Hồ sơ';
+$lang['Quick connect'] = 'Kết nối nhanh';
+$lang['RSS feed'] = 'RSS feed';
+$lang['Rate'] = 'Xếp hạng';
+$lang['Register'] = 'Đăng ký';
+$lang['Registration'] = 'Mục đăng ký';
+$lang['Related tags'] = 'Tag liên quan';
+$lang['Reset'] = 'Làm lại';
+$lang['Retrieve password'] = 'Nhận lại mật khẩu';
+$lang['Search rules'] = 'Điều khoản tìm kiếm';
+$lang['Search tags'] = 'Tag tìm kiếm';
+$lang['Search'] = 'Tìm kiếm';
+$lang['See available tags'] = 'Xem các tag được dùng';
+$lang['Send new password'] = 'Gởi mật khẩu mới';
+$lang['Since'] = 'Từ';
+$lang['Sort by'] = 'Sắp xếp theo';
+$lang['Sort order'] = 'Vị trí sắp xếp';
+$lang['Tag'] = 'Tag';
+$lang['Tags'] = 'Tags';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Bản thông báo RSS feed cung cấp thông báo về tin tức và cập nhật trên trang này bao gồm: hình ảnh mới, đề mục được cập nhật và lời bình mới. Hãy sử dụng trình đọc RSS Feed.';
+$lang['Unknown feed identifier'] = 'Nguồn cung cấp tin không xác nhận';
+$lang['User comments'] = 'Bình luận của thành viên';
+$lang['Username'] = 'Tên đăng nhập';
+$lang['Visits'] = 'Thăm quan';
+$lang['Webmaster'] = 'Quản trị';
+$lang['Week %d'] = 'Tuần %d';
+$lang['about_page_title'] = 'Thông tin về Piwigo';
+$lang['access_forbiden'] = 'Bạn không được phép truy cập vào trang này';
+$lang['add to caddie'] = 'thêm vào caddie';
+$lang['add_favorites_hint'] = 'thêm hình này vào danh sách ưa thích của mình';
+$lang['admin'] = 'Điều hành viên';
+$lang['adviser_mode_enabled'] = 'Chế độ hỗ trợ được kích hoạt';
+$lang['all'] = 'tất cả';
+$lang['ascending'] = 'từ dưới lên';
+$lang['author(s) : %s'] = 'tác giả: %s';
+$lang['auto_expand'] = 'Mở rộng các đề mục';
+$lang['became available after %s (%s)'] = 'gởi sau %s (%s)';
+$lang['became available before %s (%s)'] = 'gởi trước %s (%s)';
+$lang['became available between %s (%s) and %s (%s)'] = 'gởi vào giữa %s (%s) và %s (%s)';
+$lang['became available on %s'] = 'gởi vào %s';
+$lang['best_rated_cat'] = 'Được đánh giá tốt nhất';
+$lang['best_rated_cat_hint'] = 'hiển thị các hình được đánh giá tốt nhất';
+$lang['caddie'] = 'caddie';
+$lang['calendar'] = 'Lịch';
+$lang['calendar_any'] = 'Tất cả';
+$lang['calendar_hint'] = 'hiển thị mỗi ngày kèm hình ảnh, tháng trên tháng';
+$lang['calendar_picture_hint'] = 'hiển thị hình ảnh được thêm vào';
+$lang['calendar_view'] = 'Xem';
+$lang['chronology_monthly_calendar'] = 'Lịch hằng tháng';
+$lang['chronology_monthly_list'] = 'Danh sách hằng tháng';
+$lang['chronology_weekly_list'] = 'Danh sách hằng tuần';
+$lang['click_to_redirect'] = 'Click vào đây nếu trình duyệt web không tự động chuyển trang';
+$lang['comment date'] = 'ngày bình luận';
+$lang['comment'] = 'Bình luận';
+$lang['comment_added'] = 'Lời bình của bạn đã được đăng ký';
+$lang['comment_anti-flood'] = 'Hệ thống bảo vệ DOS: vui lòng đợi trong giây lát trước khi gởi lời bình khác';
+$lang['comment_not_added'] = 'Lời bình của bạn KHÔNG được đăng ký vì nó không đáp ứng được điều khoản xác nhận';
+$lang['comment_to_validate'] = 'Lời bình của bạn phải được quản trị xác nhận trước khi nó hiển thị trên gallery.';
+$lang['comment_user_exists'] = 'Tài khoản đã được đăng ký trước đây';
+$lang['comments'] = 'Lời bình';
+$lang['comments_add'] = 'Thêm lời bình';
+$lang['created after %s (%s)'] = 'đã tạo sau %s (%s)';
+$lang['created before %s (%s)'] = 'đã tạo trước %s (%s)';
+$lang['created between %s (%s) and %s (%s)'] = 'đã tạo giữa %s (%s) và %s (%s)';
+$lang['created on %s'] = 'đã tạo vào %s';
+$lang['customize'] = 'Tuỳ chọn';
+$lang['customize_page_title'] = 'Tuỳ chọn cho Gallery của bạn ';
+$lang['day'][0] = 'Chủ Nhật';
+$lang['day'][1] = 'Thứ Hai';
+$lang['day'][2] = 'Thứ Ba';
+$lang['day'][3] = 'Thứ Tư';
+$lang['day'][4] = 'Thứ Năm';
+$lang['day'][5] = 'Thứ Sáu';
+$lang['day'][6] = 'Thứ Bảy';
+$lang['default_sort'] = 'Mặc định';
+$lang['del_favorites_hint'] = 'xoá hình này từ danh sách ưa thích của bạn';
+$lang['delete'] = 'Xoá bỏ';
+$lang['descending'] = 'từ trên xuống';
+$lang['download'] = 'tải về';
+$lang['download_hint'] = 'tải về file này';
+$lang['edit'] = 'biên tập';
+$lang['err_date'] = 'sai ngày tháng';
+$lang['excluded'] = 'bao gồm';
+$lang['favorite_cat'] = 'Mục ưa thích của tôi';
+$lang['favorite_cat_hint'] = 'hiển thị những hình ưa thích của tôi';
+$lang['favorites'] = 'Danh sách ưa thích';
+$lang['first_page'] = 'Đầu tiên';
+$lang['gallery_locked_message'] = 'Gallery đã tạm khoá để bảo trì định kỳ. Mời bạn ghé lại sau.';
+$lang['generation_time'] = 'Trang được tạo trong vòng';
+$lang['guest'] = 'khách';
+$lang['hello'] = 'Xin chào';
+$lang['hint_admin'] = 'chỉ dành cho Quản trị';
+$lang['hint_category'] = 'hiện hình này ở phía trên của đề mục';
+$lang['hint_comments'] = 'Xem bình luận gần nhất';
+$lang['hint_customize'] = 'tuỳ chọn giao diện hiển thị của gallery';
+$lang['hint_search'] = 'tìm kiếm';
+$lang['home'] = 'Trang chủ';
+$lang['identification'] = 'Định danh';
+$lang['images_available_cpl'] = 'trong mục này';
+$lang['images_available_cat'] = 'trong %d mục nhỏ';
+$lang['images_available_cats'] = 'trong %d các mục nhỏ';
+$lang['included'] = 'bao gồm';
+$lang['invalid_pwd'] = 'Sai mật khẩu!';
+$lang['language']='Ngôn ngữ';
+$lang['last %d days'] = '%d ngày cuối';
+$lang['last_page'] = 'Cuối';
+$lang['logout'] = 'Thoát';
+$lang['mail_address'] = 'Địa chỉ email';
+$lang['mandatory'] = 'bắt buộc';
+$lang['maxheight'] = 'Chiều cao tối đa của hình';
+$lang['maxheight_error'] = 'Chiều cao tối đa của hình phải trên 50 pixel';
+$lang['maxwidth'] = 'Chiều rộng tối đa của hình';
+$lang['maxwidth_error'] = 'Chiều rộng tối đa của hình phải trên 50 pixel';
+$lang['mode_created_hint'] = 'hiển thị lịch theo ngày gởi hình';
+$lang['mode_flat_hint'] = 'hiển thị mọi thành phần có trong tất cả mục nhỏ';
+$lang['mode_normal_hint'] = 'chuyện lại chế độ xem hình bình thường';
+$lang['mode_posted_hint'] = 'hiển thị lịch theo ngày gởi hình';
+$lang['month'][10] = 'Tháng Mười';
+$lang['month'][11] = 'Tháng Mười Một';
+$lang['month'][12] = 'Tháng Mười Hai';
+$lang['month'][1] = 'Tháng Giêng';
+$lang['month'][2] = 'Tháng Hai';
+$lang['month'][3] = 'Tháng Ba';
+$lang['month'][4] = 'Tháng Tư';
+$lang['month'][5] = 'Tháng Năm';
+$lang['month'][6] = 'Tháng Sáu';
+$lang['month'][7] = 'Tháng Bảy';
+$lang['month'][8] = 'Tháng Tám';
+$lang['month'][9] = 'Tháng Chín';
+$lang['most_visited_cat'] = 'Được xem nhiều nhất';
+$lang['most_visited_cat_hint'] = 'hiển thị những hình được xem nhiều nhất';
+$lang['nb_image_line_error'] = 'Số hình mỗi hàng phải là đại lượng vô hướng không rỗng';
+$lang['nb_image_per_row'] = 'Số hình trên mỗi hàng';
+$lang['nb_line_page_error'] = 'Số hàng mỗi trang phải là đại lượng vô hướng không rỗng';
+$lang['nb_row_per_page'] = 'Số hàng trên mỗi trang';
+$lang['nbm_unknown_identifier'] = 'Định danh không xác định';
+$lang['new_password'] = 'Mật khẩu mới';
+$lang['new_rate'] = 'Đánh giá hình này';
+$lang['next_page'] = 'Tiếp theo';
+$lang['no_category'] = 'Trang chủ';
+$lang['no_rate'] = 'không có đánh giá';
+$lang['note_filter_day'] = 'Thành phần được gởi trong vòng %d ngày cuối.';
+$lang['note_filter_days'] = 'Các thành phần được gởi trong %d ngày cuối.';
+$lang['password updated'] = 'mật khẩu đã được cập nhật';
+$lang['periods_error'] = 'Chu kỳ gần đây phải có giá trị là số nguyên dương';
+/* DEPRECATED USED IN comments.php FOR image_id ? */ $lang['picture'] = 'hình ảnh';
+$lang['picture_high'] = 'Click lên hình để xem ở định dạng cao';
+$lang['picture_show_metadata'] = 'Hiển thị metadata của hình';
+$lang['powered_by'] = 'Bản quyền của';
+$lang['preferences'] = 'Tuỳ chọn thêm';
+$lang['previous_page'] = 'Trước';
+$lang['random_cat'] = 'Hình ngẫu nhiên';
+$lang['random_cat_hint'] = 'hiển thị một bộ các hình ngẫu nhiên';
+$lang['recent_cats_cat'] = 'Các đề mục gần đây';
+$lang['recent_cats_cat_hint'] = 'hiển thị các đề mục gần đây';
+$lang['recent_period'] = 'Chu kỳ gần đây';
+$lang['recent_pics_cat'] = 'Các hình gần đây';
+$lang['recent_pics_cat_hint'] = 'hiển thị các hình gần đây nhất';
+$lang['redirect_msg'] = 'Chuyển trang...';
+$lang['reg_err_login1'] = 'Vui lòng nhập tên tài khoản';
+$lang['reg_err_login2'] = 'tên tài khoản không được có ký tự trắng sau cùng';
+$lang['reg_err_login3'] = 'tên tài khoản không được có ký tự trắng đầu tiên';
+$lang['reg_err_login5'] = 'tài khoản này đã được đăng ký trước đó';
+$lang['reg_err_mail_address'] = 'địa chỉ email phải có dạng xxx@yyy.eee (ví dụ : jack@altern.org)';
+$lang['reg_err_pass'] = 'vui lòng nhập lại mật khẩu';
+$lang['remember_me'] = 'Tự động đăng nhập';
+$lang['remove this tag'] = 'bỏ tag này khỏi danh sách';
+$lang['representative'] = 'đại diện';
+$lang['return to homepage'] = 'trở lại trang chủ';
+$lang['search_author'] = 'Tìm kiếm theo tác giả';
+$lang['search_categories'] = 'Tìm kiếm trong các đề mục';
+$lang['search_date'] = 'Tìm kiếm theo ngày tháng';
+$lang['search_date_from'] = 'Ngày tháng';
+$lang['search_date_to'] = 'Ngày kết thúc';
+$lang['search_date_type'] = 'Kiểu ngày tháng';
+$lang['search_keywords'] = 'Tìm kiếm theo từ';
+$lang['search_mode_and'] = 'Tìm kiếm tất cả các mục ';
+$lang['search_mode_or'] = 'Tìm kiếm mọi mục';
+$lang['search_one_clause_at_least'] = 'Truy vấn xác định. Không có từ khoá nào được nhập';
+$lang['search_options'] = 'Tuỳ chọn tìm kiếm';
+$lang['search_result'] = 'Kết quả tìm kiếm';
+$lang['search_subcats_included'] = 'Tìm kiếm trong các mục nhỏ';
+$lang['search_title'] = 'Tìm kiếm';
+$lang['searched words : %s'] = 'những từ khoá được tìm kiếm : %s';
+$lang['send_mail'] = 'Liên hệ';
+$lang['set as category representative'] = 'đặt như là một đề mục đại diện';
+$lang['show_nb_comments'] = 'Hiện số lần hình luận';
+$lang['show_nb_hits'] = 'Hiện số lần xem';
+$lang['slideshow'] = 'trình chiéu';
+$lang['slideshow_stop'] = 'dừng trình chiếu';
+$lang['special_categories'] = 'Đặc biệt';
+$lang['sql_queries_in'] = 'Truy vấn SQL trong';
+$lang['start_filter_hint'] = 'chỉ hiển thị những hình vừa được gởi';
+$lang['stop_filter_hint'] = 'trở lại hiển thị tất cả các hình';
+$lang['the beginning'] = 'bắt đầu';
+$lang['theme'] = 'Giao diện';
+$lang['thumbnails'] = 'Hình nhỏ';
+$lang['title_menu'] = 'Trình đơn';
+$lang['title_send_mail'] = 'Một lời bình trên trang của bạn';
+$lang['today'] = 'hôm nay';
+$lang['update_rate'] = 'Cập nhật xếp hạng của bạn';
+$lang['update_wrong_dirname'] = 'sai tên';
+$lang['upload_advise_filesize'] = 'cỡ file của hình không được vượt quá : ';
+$lang['upload_advise_filetype'] = 'địh dạng hình phải là jpg, gif hoặc png';
+$lang['upload_advise_height'] = 'chiều cao của hình không được vượt quá : ';
+$lang['upload_advise_thumbnail'] = 'Tuỳ chọn thêm, nhưng nên có: bạn nên chọn thêm một hình thumb nhu nhỏ của';
+$lang['upload_advise_width'] = 'chiều rộng của hình không được vượt quá : ';
+$lang['upload_author'] = 'Tác giả';
+$lang['upload_cannot_upload'] = 'không thể gởi hình lên máy chủ';
+$lang['upload_err_username'] = 'phải có tên của thành viên';
+$lang['upload_file_exists'] = 'Tên hình đã được đặt trước đó';
+$lang['upload_filenotfound'] = 'Bạn phải chọn định dạng của hình';
+$lang['upload_forbidden'] = 'Bạn không thể gởi hình vào mục này ';
+$lang['upload_name'] = 'Tên hình';
+$lang['upload_picture'] = 'Gởi hình';
+$lang['upload_successful'] = 'Hình gởi xong, Quản trị sẽ xác nhận trước khi đưa hình của bạn lên gallery';
+$lang['upload_title'] = 'Gởi hình';
+$lang['useful when password forgotten'] = 'có ích khi bị mất mật khẩu';
+$lang['qsearch'] = 'Tìm kiếm nhanh';
+$lang['Connected user: %s'] = 'Thành viên kết nối: %s';
+$lang['IP: %s'] = 'Địa chỉ IP: %s';
+$lang['Browser: %s'] = 'Trình duyệt: %s';
+$lang['Author: %s'] = 'Tác giả: %s';
+$lang['Comment: %s'] = 'Bình luận: %s';
+$lang['Delete: %s'] = 'Xoá bỏ: %s';
+$lang['Validate: %s'] = 'Xác thực: %s';
+$lang['Comment by %s'] = 'Bình luận bởi %s';
+$lang['User: %s'] = 'Tài khoản: %s';
+$lang['Email: %s'] = 'Email: %s';
+$lang['Admin: %s'] = 'Quản trị: %s';
+$lang['Registration of %s'] = 'Mục đăng ký của %s';
+$lang['Category: %s'] = 'Đề mục: %s';
+$lang['Picture name: %s'] = 'Tên hình: %s';
+$lang['Creation date: %s'] = 'Ngày gởi: %s';
+$lang['Waiting page: %s'] = 'Trang đợi: %s';
+$lang['Picture uploaded by %s'] = 'Hình được gởi bởi %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
+$lang['guest_must_be_guest'] = 'Status xấu đối với thành viên đăng thuộc nhóm "khách", sử dụng status mặc định. Thông báo ngay cho Quản trị';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Quản trị viên và thành viên đặc biệt không thể sử dụng cách này';
+$lang['reg_err_mail_address_dbl'] = 'đã có thành viên sử dụng địa chỉ email này';
+$lang['Category results for'] = 'Kết quả đề mục cho';
+$lang['Tag results for'] = 'Kết quả tag cho';
+$lang['from %s to %s'] = 'từ %s đến %s';
+$lang['start_play'] = 'Bật trình chiếu';
+$lang['stop_play'] = 'Tạm dừng trình chiếu';
+$lang['start_repeat'] = 'Lặp lại trình chiếu';
+$lang['stop_repeat'] = 'Không lặp lại trình chiếu';
+$lang['inc_period'] = 'Giảm diaporama speed';
+$lang['dec_period'] = 'Tăng diaporama speed';
+$lang['Submit'] = 'Đăng ký';
+$lang['Yes'] = 'Có';
+$lang['No'] = 'Không';
+$lang['%d element']='%d hình';
+$lang['%d elements']='%d hình';
+$lang['%d element are also linked to current tags'] = '%d hình được liên kết với tag hiện tại';
+$lang['%d elements are also linked to current tags'] = '%d hình được liên kết với tag hiện tại';
+$lang['See elements linked to this tag only'] = 'Chỉ xem những hình liên kết với tag này';
+$lang['elements posted during the last %d days'] = 'hình được gởi trong vòng %d ngày cuối';
+$lang['Choose an image'] = 'Chọn một tấm hình';
+$lang['Piwigo Help'] = 'Trợ giúp của Piwigo';
+$lang['Rank'] = 'Hạng';
+$lang['group by letters'] = 'phân nhóm theo ký tự';
+$lang['letters'] = 'ký tự';
+$lang['show tag cloud'] = 'hiện tag cloud';
+$lang['cloud'] = 'cloud';
+$lang['Reset_To_Default'] = 'Thiết lập lại giá trị mặc định';
+// --------- Starting below: New or revised $lang ---- from Colibri (2.1)
+$lang['del_all_favorites_hint'] = 'xoá tất cả hình từ danh sách ưa thích';
+$lang['Sent by'] = 'Được gởi bởi';
+?>
Index: /branches/2.0/language/vi_VN/iso.txt
===================================================================
--- /branches/2.0/language/vi_VN/iso.txt	(revision 4797)
+++ /branches/2.0/language/vi_VN/iso.txt	(revision 4797)
@@ -0,0 +1,1 @@
+Vietnam [VN]