Index: /extensions/lmt/language/es_ES/description.txt
===================================================================
--- /extensions/lmt/language/es_ES/description.txt	(revision 4818)
+++ /extensions/lmt/language/es_ES/description.txt	(revision 4818)
@@ -0,0 +1,1 @@
+Aplicar una licencia sobre sus fotos
Index: /extensions/lmt/language/es_ES/index.php
===================================================================
--- /extensions/lmt/language/es_ES/index.php	(revision 4818)
+++ /extensions/lmt/language/es_ES/index.php	(revision 4818)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/lmt/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/lmt/language/es_ES/plugin.lang.php	(revision 4818)
+++ /extensions/lmt/language/es_ES/plugin.lang.php	(revision 4818)
@@ -0,0 +1,186 @@
+<?php
+
+/* -----------------------------------------------------------------------------
+
+----------------------------------------------------------------------------- */
+
+
+
+$lang['lmt_title'] = 'Herramienta de Gestión de Licencias';
+$lang['lmt_list'] = 'Fotos bajo licencia ';
+$lang['lmt_manage'] = 'Administrar las afectaciones';
+$lang['lmt_help'] = 'Ayuda';
+$lang['lmt_config'] = 'Configuración';
+$lang['lmt_manageaut'] = 'Administrar a los autores';
+$lang['lmt_release'] = 'v';
+
+$lang['lmt_licence'] = 'Licencia';
+$lang['lmt_category'] = 'Categoría';
+$lang['lmt_image'] = 'Imagen';
+$lang['lmt_name'] = 'Nombre';
+$lang['lmt_author'] = 'Autor';
+
+
+$lang['lmt_cc_url'] = 'http://creativecommons.org/international/';
+$lang['lmt_official_website'] = 'El sitio oficial de Creative Commons';
+$lang['lmt_whatisit'] = 'Qué <i>Creative Commons</i> ?';
+$lang['lmt_whatisit_def1'] = 'Creative Commons es una organización sin ánimo de lucro que propone gratuitamente contratos flexibles de derecho de autor para difundir sus creaciones. Aplicados sobre sus fotos (u otros medios de comunicación que usted pone en línea) estos contratos les permiten a quienquiera explotarles sin tener solicitarle sistemáticamente para obtener una autorización.';
+$lang['lmt_whatisit_def2'] = 'Existen 6 licencias que se articulan alrededor de 4 principios y que definen las condiciones de utilización.';
+$lang['lmt_four_way'] = 'Los 4 principios';
+$lang['lmt_six_licences'] = 'Las 6 licencias';
+
+$lang['lmt_way_--'] = 'Paternidad';
+$lang['lmt_way_nd'] = 'Ninguna Modificación';
+$lang['lmt_way_nc'] = 'Ninguna Utilización Comercial';
+$lang['lmt_way_sa'] = 'Reparto a la Idéntica de las Condiciones Iniciales';
+
+$lang['lmt_cc-all'] = 'Toda licencia';
+$lang['lmt_lbl_cc-by'] = 'Paternidad';
+$lang['lmt_lbl_cc-by-nd'] = 'Paternidad, ninguna Modificación';
+$lang['lmt_lbl_cc-by-nc'] = 'Paternidad, ninguna Utilización Comercial';
+$lang['lmt_lbl_cc-by-nc-nd'] = 'Paternidad, ninguna Utilización Comercial, ninguna Modificación';
+$lang['lmt_lbl_cc-by-nc-sa'] = 'Paternidad, ninguna Utilización Comercial, Comparte Condiciones Iniciales a la Idéntica';
+$lang['lmt_lbl_cc-by-sa'] = 'Paternidad, Reparto Condiciones Iniciales al Idéntico';
+$lang['lmt_lbl_cc-cright'] = 'Copyright';
+$lang['lmt_lbl_cc-cleft'] = 'Copyleft';
+$lang['lmt_lbl_cc-default'] = 'Licencia por defecto';
+
+$lang['lmt_lbl_cc_s-by'] = 'Creative Commons BY';
+$lang['lmt_lbl_cc_s-by-nd'] = 'Creative Commons BY-ND';
+$lang['lmt_lbl_cc_s-by-nc'] = 'Creative Commons BY-NC';
+$lang['lmt_lbl_cc_s-by-nc-nd'] = 'Creative Commons BY-NC-ND';
+$lang['lmt_lbl_cc_s-by-nc-sa'] = 'Creative Commons BY-NC-SA';
+$lang['lmt_lbl_cc_s-by-sa'] = 'Creative Commons BY-SA';
+$lang['lmt_lbl_cc_s-cright'] = '&copy;&nbsp;Copyright';
+$lang['lmt_lbl_cc_s-cleft'] = 'Copyleft';
+$lang['lmt_lbl_cc_s-default'] = ' - ';
+
+$lang['lmt_lbl_under-by'] = 'Publicado bajo licencia';
+$lang['lmt_lbl_under-by-nd'] = 'Publicado bajo licencia';
+$lang['lmt_lbl_under-by-nc'] = 'Publicado bajo licencia';
+$lang['lmt_lbl_under-by-nc-nd'] = 'Publicado bajo licencia';
+$lang['lmt_lbl_under-by-nc-sa'] = 'Publicado bajo licencia';
+$lang['lmt_lbl_under-by-sa'] = 'Publicado bajo licencia';
+$lang['lmt_lbl_under-cright'] = '';
+$lang['lmt_lbl_under-cleft'] = 'Publicado bajo licencia';
+$lang['lmt_lbl_under-default'] = '';
+
+
+$lang['lmt_nofilter'] = 'Toda licencia';
+
+$lang['lmt_def_--'] = 'La obra puede libremente ser utilizada, atribuirle a sonido el autor citando su nombre';
+$lang['lmt_def_nc'] = 'El titular derechos puede autorizar todos los tipos de utilización o al contrario restringir las utilizaciones no comerciales (las utilizaciones comerciales que quedan sometidas a su autorización).';
+$lang['lmt_def_nd'] = 'El titular de derechos puede continuar reservando la facultad para realizar obras derivadas de tipo o al contrario autorizar de antemano las modificaciones, las traducciones...';
+$lang['lmt_def_sa'] = 'A la posibilidad de autorizar de antemano las modificaciones puede sobreponerse la obligación para las obras dichas derivadas de serle propuestas al público con las mismas libertades (bajo la mismas opción Creative Commons) que la obra originaria.';
+
+$lang['lmt_general_text'] = "[logo=80x15]Los medios de comunicación de este sitio están sometidos al derecho de autor y, salvo indicaciones contrarias, han difundido bajo licencia Creative Commons [logo=text]";
+
+$lang['lmt_lst_default_licence'] = "Las fotos por defecto han publicado bajo la licencia siguiente";
+$lang['lmt_lst_special_licence'] = "Las fotos siguientes son publicadas con una licencia particular";
+$lang['lmt_lst_apply_filter'] = 'Filtrar';
+$lang['lmt_lst_nb_photos'] = 'Fotos';
+
+$lang['lmt_caddie_items'] = 'Elementos de la cesta';
+$lang['lmt_apply_do_nothing'] = 'Aplicar la licencia sin tocar a la cesta';
+$lang['lmt_apply_do_clear'] = 'Aplicar la licencia y vaciar toda la cesta';
+$lang['lmt_apply_do_clear_selected'] = 'Aplicar la licencia y vaciar los elementos seleccionado de la cesta';
+$lang['lmt_dontapply_do_clear_selected'] = 'Vaciar los elementos seleccionado de la cesta sin aplicar licencia';
+
+$lang['lmt_apply'] = 'Aplicar';
+$lang['lmt_bydefault'] = "Aplicar la licencia por defecto";
+$lang['lmt_choose_select'] = "<Administrar la selección>";
+$lang['lmt_select_all'] = "Todo";
+$lang['lmt_select_none'] = "Ninguno";
+$lang['lmt_select_invert'] = "Invertir";
+$lang['lmt_licence_to_apply'] = "Elección de la licencia";
+$lang['lmt_no_element_selected'] = "No hay ningún elemento de seleccionado !";
+
+$lang["lmt_add_licence_ok"] = "La licencia ha sido aplicada sobre los elementos seleccionado";
+$lang["lmt_add_licence_ko"] = "La licencia no pudo ser aplicada sobre los elementos seleccionados";
+$lang["lmt_clear_caddie_ok"] = "La cesta ha sido purgada";
+$lang["lmt_clear_caddie_ko"] = "La cesta no pudo ser purgada";
+$lang["lmt_clear_si_caddie_ok"] = "Los elementos seleccionados han sido purgados de la cesta";
+$lang["lmt_clear_si_caddie_ko"] = "Los elementos seleccionados no pudieron ser purgados de la cesta";
+$lang["lmt_caddie_not_updated"] = "La cesta no pudo ser puesta al día";
+$lang["lmt_caddie_updated"] = "La cesta ha sido puesta al día";
+$lang["lmt_add_to_caddie"] = "Añadir los elementos en la cesta";
+$lang["lmt_replace_caddie"] = "Purgar la cesta y añadir a eso los elementos";
+$lang["lmt_caddie_is_empty_please_fill_it"] = "La aplicación de una licencia se efectúa sobre el contenido de la cesta. Desgraciadamente éste está vacío...";
+
+$lang["lmt_redirect_config"] = "Redirections";
+$lang["lmt_general_config"] = "Opciones generales";
+$lang['lmt_display_config'] = "Opciones de fijación";
+$lang['lmt_cfg_list_maxheight'] = "Altura máxima de las listas";
+$lang['lmt_cfg_list_maxitems'] = "Número máximo de elementos fijados";
+$lang['lmt_licence_config'] = "Gestión de las licencias";
+$lang["lmt_cfg_licence_activated"] = "Acelerar la gestión de las licencias";
+$lang["lmt_cfg_licence_visible"] = "La licencia siempre es fijada, hasta si se trata de una licencia por defecto";
+$lang["lmt_cfg_licence_logo"] = "Tipo de logo fijado";
+$lang["lmt_warning_config"] = "Gestión del texto de pie de página";
+$lang["lmt_cfg_warning_visible"] = "Fijar la licencia aplicada por defecto abajo página";
+$lang["lmt_cfg_warning_link"] = "Acelerar el redirection";
+$lang["lmt_cfg_warning_texts"] = "Texto de pie de página";
+$lang["lmt_do_save"] = "Registrar la configuración";
+$lang["lmt_save_config"] = "Configuración registrada";
+$lang["lmt_cfg_licence_default"] = "Elección de la licencia aplicada por defecto";
+$lang['lmt_cfg_licence_default_author'] = "Elección del autor para la licencia por defecto";
+
+$lang["lmt_yesno_y"] = "Sí";
+$lang["lmt_yesno_n"] = "No";
+
+$lang["lmt_icon_80x15"] = "Icono 80x15";
+$lang["lmt_icon_88x31"] = "Icono 88x31";
+$lang["lmt_icon_text"] = "Texto";
+$lang['example'] = "Ejemplo de la fijación";
+$lang['lmt_warning_texts_help'] = "";
+
+$lang["lmt_help_config"][1] = "Con arreglo al número de elementos que dispone de una licencia particular o de un número del número de elementos presentes en su cesta, de la zona de fijación vaya a ser más o menos grande. Una zona demasiado grande de fijación puede reducir la comodidad de lectura de la página. <br /> Este parámetro permite forzar la altura máxima de la zona de fijación.";
+$lang["lmt_help_config"][2] = "Permite acelerar o no la gestión de las licencias. Con relación a una desactivación completa del plugin, esta opción permite desactivar la gestión de las licencias sobre la partida pública del sitio conservando la administración del plugin activo.";
+$lang["lmt_help_config"][3] = "Esta opción permite fijar sistemáticamente la licencia del elemento, aunque la licencia por defecto le es afectada. <br /> Si esta opción no es acelerada, la licencia será fijada sólo para los elementos que dispondrán de una licencia particular.";
+$lang["lmt_help_config"][4] = "Esta opción permite seleccionar la licencia que será aplicada por defecto sobre los elementos para los cuales ninguna licencia particular habrá estado afectado.";
+$lang["lmt_help_config"][5] = "Esta opción permite escoger si hay que fijar o no la licencia por defecto sobre todas las páginas (será fijado abajo página).";
+$lang["lmt_help_config"][6] = "Si acelerado, el logotipo que indica la licencia es un hiperenlaces que redirigeant al usuario sobre una página que explica más detalladamente las condiciones de explotación del elemento.";
+$lang["lmt_help_config"][7] = "El texto de licencia fijado abajo página es modificable según sus necesidades. <br /> es posible fijar elementos en automático: <br /> <b> [logo=80x15] </b> inserta el logotipo 80x15 de la licencia por defecto <br /> <b> [logo=88x31] </b> inserta el logotipo 88x31 de la licencia por defecto <br /> <b> [logo=text] </b> inserta el texto de la licencia por defecto";
+$lang["lmt_help_config"][8] = "Esta opción permite seleccionar al autor que será afectado para la licencia aplicada por defecto.";
+$lang["lmt_help_config"][9] = "Esta opción permite escoger el número de elementos fijados por página.";
+
+$lang["lmt_author_nfo"] = "Cuando el logotipo de una licencia es fijado sobre la página de un elemento hecho visible, es posible precisar al autor que detiene los derechos.";
+$lang["lmt_author_title"] = "Lista autores";
+$lang["lmt_nb_author_zero"] = "No hay ningún autor de definido parámetros";
+$lang["lmt_nb_author_one"] = "1 autor de definido parámetros";
+$lang["lmt_nb_authors"] = "Autores de definidos parámetros";
+$lang["lmt_add_author"] = "Añadir a un autor";
+$lang["lmt_author_txt1"] = "Texto 1";
+$lang["lmt_author_txt2"] = "Texto 2";
+$lang["lmt_action"] = "Acciones";
+$lang["lmt_authoradd_title"] = "Añadir a un autor";
+$lang["lmt_authormodify_title"] = "Modificar a un autor";
+$lang["lmt_add"] = "Añadir";
+$lang["lmt_delete"] = "Suprimir";
+$lang["lmt_modify"] = "Modificar";
+$lang["lmt_cancel"] = "Anular";
+$lang["lmt_no_text"] = "¡ Ningún texto es informado!";
+$lang["lmt_author_added"] = "El autor ha sido añadido";
+$lang["lmt_cannot_add_author"] = "El autor no pudo ser añadido";
+$lang["lmt_author_deleted"] = "El autor ha sido suprimido";
+$lang["lmt_cannot_delete_author"] = "El autor no pudo ser suprimido";
+$lang["lmt_error_on_image_author"] = "Problema en el momento de la puesta al día de los elementos relacionados con autor suprimido";
+$lang["lmt_author_one_image_updated"] = "Una imagen relacionada con este autor ha sido puesta al día";
+$lang["lmt_author_nb_images_updated"] = "Imágenes relacionadas con este autor han sido puestas al día";
+$lang["lmt_author_modified"] = "El autor ha sido modificado";
+$lang["lmt_cannot_modify_author"] = "El autor no pudo ser modificado";
+$lang['lmt_no_author'] = "< Ningún autor>";
+$lang['lmt_redirect_urls'] = "URLs de redirections";
+/*ici*/
+$lang["lmt_nav_first"] = "Primero";
+$lang["lmt_nav_prev"] = "El precedente";
+$lang["lmt_nav_next"] = "Siguiente";
+$lang["lmt_nav_last"] = "El último";
+
+//1.1.0
+$lang["lmt_help_config"][10] = "Si acelerado, la apertura de la página hacia la cual despunta el hiperenlaces será efectuada en una nueva ventana.";
+$lang["lmt_cfg_warning_target"] = "Forzar la apertura en una nueva ventana"
+
+
+
+?>