Index: /extensions/autoupdate/language/de_DE/index.php
===================================================================
--- /extensions/autoupdate/language/de_DE/index.php	(revision 4843)
+++ /extensions/autoupdate/language/de_DE/index.php	(revision 4843)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/autoupdate/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/autoupdate/language/de_DE/plugin.lang.php	(revision 4843)
+++ /extensions/autoupdate/language/de_DE/plugin.lang.php	(revision 4843)
@@ -0,0 +1,25 @@
+<?php
+
+$lang['Click here to upgrade automatically'] = 'Klicken Sie hier um automatisch zu aktualisieren';
+$lang['autoupdate_alert'] = 'Sind Sie sicher, das Sie automatisch Aktualisieren möchten?  Warnung: manuell modifizierte Dateien werden dabei überschrieben!';
+$lang['autoupdate_success'] = 'Piwigo wurde erfolgreich aktualisiert (version %s)';
+$lang['autoupdate_fail'] = 'Ein Fehler trat während des Aktualisierens auf.';
+
+$lang['autoupdate_extract_fail'] = 'Ein Fehler trat während des Entpackens auf. Bitte prüfen Sie die Schreibrechte ihrer Piwigo Installation.<br><a href="%s">Klicken Sie hier für das Fehlerprotokoll</a>.';
+
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo kann die Aktualisierungsdatei nicht vom Server laden';
+$lang['Click here to see Piwigo %s release notes'] = 'Klicken Sie hier für die Piwigo %s Versionshinweise';
+$lang['Some upgrades are available for you plugins'] = 'Einige Aktualisierungen für Plugins sind verfügbar';
+$lang['Click here see upgrade plugins page'] = 'Klicken Sie hier für die Seite der Plugin Aktualisierungen';
+$lang['Gallery and plugins are up to date'] = 'Galerie und Plugins sind aktuell';
+$lang['Unable to check upgrades...'] = 'Die überprüfung auf Aktualisierungen ist nicht möglich...';
+$lang['Piwigo will automaticaly try again later.'] = 'Piwigo wird es später automatisch noch einmal probieren.';
+$lang['Click here to check upgrades now'] = 'Klicken Sie hier um auf Aktualisierungen zu prüfen';
+
+$lang['Notify on admin homepage'] = 'Benachrichtigung auf der Admin-Homepage';
+$lang['Don\'t notify on admin homepage'] = 'Keine Benachrichtigung auf der Admin-Homepage';
+
+$lang['Upgrade in progress... Please wait.'] = 'Aktualisierung in Arbeit....Bitte warten.';
+$lang['Checking upgrades for gallery and plugins...'] = 'Suche nach Aktualisierungen für die Galerie und Plugins...';
+
+?>
Index: /extensions/autoupdate/language/en_UK/description.txt
===================================================================
--- /extensions/autoupdate/language/en_UK/description.txt	(revision 4843)
+++ /extensions/autoupdate/language/en_UK/description.txt	(revision 4843)
@@ -0,0 +1,1 @@
+Upgrade your gallery automatically.